Package org.apache.tomcat.util.bcel.classfile

# Class JavaClass

java.lang.Object
org.apache.tomcat.util.bcel.classfile.JavaClass

public class JavaClass extends Object
Represents a Java class, i.e., the data structures, constant pool, fields, methods and commands contained in a Java .class file. See JVM specification for details. The intent of this class is to represent a parsed or otherwise existing class file. Those interested in programmatically generating classes should see the ClassGen class.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `final int`
  `getAccessFlags()`
  `AnnotationEntry[]`
  `getAllAnnotationEntries()`
  Return annotations entries from "RuntimeVisibleAnnotations" attribute on the class, fields or methods if there is any.
  `AnnotationEntry[]`
  `getAnnotationEntries()`
  Return annotations entries from "RuntimeVisibleAnnotations" attribute on the class, if there is any.
  `String`
  `getClassName()`
  `String[]`
  `getInterfaceNames()`
  `String`
  `getSuperclassName()`
  returns the super class name of this class.

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Method Details

  - ### getAccessFlags

    public final int getAccessFlags()
    Returns:
      Access flags of the object aka. "modifiers".

  - ### getAllAnnotationEntries

    public AnnotationEntry[] getAllAnnotationEntries()
    Return annotations entries from "RuntimeVisibleAnnotations" attribute on the class, fields or methods if there is any.
    Returns:
      An array of entries or `null`

  - ### getAnnotationEntries

    public AnnotationEntry[] getAnnotationEntries()
    Return annotations entries from "RuntimeVisibleAnnotations" attribute on the class, if there is any.
    Returns:
      An array of entries or `null`

  - ### getClassName

    public String getClassName()
    Returns:
      Class name.

  - ### getInterfaceNames

    public String[] getInterfaceNames()
    Returns:
      Names of implemented interfaces.

  - ### getSuperclassName

    public String getSuperclassName()
    returns the super class name of this class. In the case that this class is `Object`, it will return itself (`Object`). This is probably incorrect but isn't fixed at this time to not break existing clients.
    Returns:
      Superclass name.